## kdiff3 1.8.4

=== debian/changelog ===
kdiff3 (1.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.9.97-2, 0.9.96-4, 0.9.95-5,
    0.9.95-4, 0.9.94-3, 0.9.94-2, 0.9.93-3-1, 0.9.92-3, 0.9.92-2, 0.9.90-5,
    0.9.90-4, 0.9.90-3, 0.9.90-2, 0.9.88-5.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Change the kdiff3 recommend in kdiff3-qt to a dependency, to make sure
    that the transitional package actually works as such.
  * Switch Source in copyright to https://invent.kde.org/sdk/kdiff3.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 11:55:08 +0200

kdiff3 (1.8.3-1) unstable; urgency=medium

  * New upstream release:
    - fixes handling of the -L command line option (Closes: #939017)
    - fixes missing menu items (Closes: #962960)
  * Update the build dependencies according to the upstream build system:
    - bump the KF packages to 5.27.0
  * Update the patches:
    - upstream_Don-t-try-to-set-value-unless-scrollbar-exists.patch: drop,
      backported from upstream
    - libatomic.diff: refresh
  * Add the upstream signing key.
  * Do not ship the diff_ext.mo translations, as they are for a component
    specific for Windows.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jul 2020 08:17:21 +0200

kdiff3 (1.8.01-2) unstable; urgency=medium

  * Switch the maintainer to Debian KDE Extras Team, as agreed with Eike;
    keep him as Uploader, and add myself too.
  * Drop the local man page, since upstream already provides one, so our
    version overwrites it:
    - remove kdiff3.sgml
    - remove the docbook-to-man build dependency
  * Do not use dh_icons anymore, as there are already file triggers to update
    the icon theme caches.
  * Add Vcs-* fields.
  * Stop generating the HTML documentation, as it is generally not shipped
    for KDE applications: (Closes: #924187)
    - drop kdiff3-doc.doc-base, and kdiff3-doc.links
  * Do not try to ship README.Debian, and README.source as documentation for
    kdiff3-docs, as these files do not exist
    - drop kdiff3-docs.docs
  * Stop installing the NEWS file as documentation for kdiff3, as this file
    only points to ChangeLog.
  * Add the configuration for the CI on salsa.
  * Sort, and clean the install files.
  * Update the build dependencies according to the upstream build system:
    - add the version required for cmake, extra-cmake-modules, Qt5, and the
      KF5 packages
    - explicitly add gettext, libkf5config-dev, libkf5kio-dev, and
      libkf5widgetsaddons-dev
  * Switch from cdbs to the dh sequencer with the kf5 dh addon
    - replace the cdbs build dependency with pkg-kde-tools
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Rename debian/docs to debian/kdiff3.docs, to make to explicit which package
    it refers to.
  * Add Rules-Requires-Root: no.
  * Remove unused lintian override.
  * Remove the trailing whitespaces in changelog, and control.
  * Ship also the translations. (Closes: #932887)
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add a watch file.
  * Replace the patch fix-crash.patch with the upstream commit
    6fd52582694f5616df3ec135fe22f21fc281036d; patch
    upstream_Don-t-try-to-set-value-unless-scrollbar-exists.patch.
  * Slightly rework the descriptions.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jun 2020 07:07:37 +0200
