=== debian/control ===
Source: kdiff3
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Eike Sauer <eike@debian.org>,
 Pino Toscano <pino@debian.org>,
Section: kde
Priority: optional
Build-Depends: debhelper-compat (= 13),
 pkg-kde-tools,
 gettext,
 cmake (>= 3.1~),
 extra-cmake-modules (>= 5.10.0~),
 qtbase5-dev (>= 5.6.0~),
 libkf5config-dev (>= 5.27.0~),
 libkf5coreaddons-dev (>= 5.27.0~),
 libkf5crash-dev (>= 5.27.0~),
 libkf5doctools-dev (>= 5.27.0~),
 libkf5iconthemes-dev (>= 5.27.0~),
 libkf5i18n-dev (>= 5.27.0~),
 libkf5kio-dev (>= 5.27.0~),
 libkf5parts-dev (>= 5.27.0~),
 libkf5widgetsaddons-dev (>= 5.27.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://kde.org/applications/development/kdiff3
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiff3.git

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: kdiff3-doc
Breaks: kdiff3-qt (<<1.0)
Replaces: kdiff3-qt (<<1.0)
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well. KDiff3 also has KIO support, so it can access to
 remote files and compressed archives.

Package: kdiff3-qt
Architecture: all
Multi-Arch: foreign
Depends: kdiff3 (>= ${source:Version}), ${misc:Depends},
Section: oldlibs
Description: transistional package for kdiff3
 This is a transitional package. It can safely be removed.
 .
 This version of KDiff3 is not developed anymore, replaced by kdiff3.

Package: kdiff3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3
Breaks: kdiff3 (<= 1.7.90-1)
Replaces: kdiff3 (<= 1.7.90-1)
Description: documentation for KDiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character.
 .
 This package contains the documentation.
