=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# drop translations of Windows-only component
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/diff_ext.mo
