=== debian/changelog ===
kdiff3 (1.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2021 11:40:18 +0100
