=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libkf5kio-dev (>= 5.27.0~),
  libkf5parts-dev (>= 5.27.0~),
  libkf5widgetsaddons-dev (>= 5.27.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/development/kdiff3
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
