=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 %:
 	dh $@ --with kf5
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# drop translations of Windows-only component
 	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/diff_ext.mo
