## kdiff3 1.9.3

=== debian/changelog ===
kdiff3 (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 07:38:38 +0200

kdiff3 (1.9.2-2) unstable; urgency=medium

  * Replace patch libatomic.diff by specifying -latomic instead via
    dpkg-buildflags, making sure it cannot be left out by as-needed;
    for now this is done on: armel m68k mipsel powerpc sh4.
    Hopefully, this should fix linking the atomic functions.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Aug 2021 06:31:39 +0200

kdiff3 (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.8
    - bump the Qt packages to 5.8.0
    - bump the KF packages to 5.37.0
    - add libboost-dev
    - drop libkf5iconthemes-dev
  * Update the patches:
    - libatomic.diff: refresh/update
  * There are unit tests that require a display, so:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test with xvfb-run
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 17:31:23 +0200
