=== debian/control ===
--- 
+++ 
@@ -7,19 +7,21 @@
 Build-Depends: debhelper-compat (= 13),
  pkg-kde-tools,
  gettext,
- cmake (>= 3.1~),
+ cmake (>= 3.8~),
  extra-cmake-modules (>= 5.10.0~),
- qtbase5-dev (>= 5.6.0~),
- libkf5config-dev (>= 5.27.0~),
- libkf5coreaddons-dev (>= 5.27.0~),
- libkf5crash-dev (>= 5.27.0~),
- libkf5doctools-dev (>= 5.27.0~),
- libkf5iconthemes-dev (>= 5.27.0~),
- libkf5i18n-dev (>= 5.27.0~),
- libkf5kio-dev (>= 5.27.0~),
- libkf5parts-dev (>= 5.27.0~),
- libkf5widgetsaddons-dev (>= 5.27.0~),
-Standards-Version: 4.5.1
+ qtbase5-dev (>= 5.8.0~),
+ libkf5config-dev (>= 5.37.0~),
+ libkf5coreaddons-dev (>= 5.37.0~),
+ libkf5crash-dev (>= 5.37.0~),
+ libkf5doctools-dev (>= 5.37.0~),
+ libkf5i18n-dev (>= 5.37.0~),
+ libkf5kio-dev (>= 5.37.0~),
+ libkf5parts-dev (>= 5.37.0~),
+ libkf5widgetsaddons-dev (>= 5.37.0~),
+ libboost-dev (>= 1.66.0~),
+ xauth,
+ xvfb,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/development/kdiff3
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
