=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-
+# SPDX-FileCopyrightText: 2002-2011 Joachim Eibl, joachim.eibl at gmx.de
+# SPDX-FileCopyrightText: 2018-2020 Michael Reeves reeves.87@gmail.com
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 ########### kdiff3 KPart ###############
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts WidgetsAddons)
@@ -6,6 +8,7 @@
 set(kdiff3part_PART_SRCS
    kdiff3_part.cpp
    kdiff3.cpp
+   DirectoryInfo.cpp
    directorymergewindow.cpp
    merger.cpp
    pdiff.cpp
@@ -14,6 +17,7 @@
    optiondialog.cpp
    mergeresultwindow.cpp
    fileaccess.cpp
+   DefaultFileAccessJobHandler.cpp
    gnudiff_analyze.cpp
    gnudiff_io.cpp
    gnudiff_xmalloc.cpp
@@ -25,14 +29,18 @@
    MergeFileInfos.cpp
    Utils.cpp
    selection.cpp
-   cvsignorelist.cpp
+   ignorelist.cpp
    SourceData.cpp
    Overview.cpp
    Logging.cpp
-   FileNameLineEdit.cpp )
+   FileNameLineEdit.cpp
+   MergeEditLine.cpp
+   Options.cpp
+   CommentParser.cpp )
 
 ki18n_wrap_ui(kdiff3part_PART_SRCS
     scroller.ui
+    opendialog.ui
 )
 
 add_library(kdiff3part MODULE ${kdiff3part_PART_SRCS})
@@ -53,6 +61,9 @@
    ${kdiff3part_PART_SRCS}
     )
 
+if(BUILD_TESTING)
+   add_subdirectory( autotests )
+endif()
 #cann't use add_subdirectory because it changes the scope.
 include(icons/CMakeLists.txt)
 add_executable(kdiff3 ${kdiff3_SRCS})
@@ -84,7 +95,6 @@
 
 ########### install files ###############
 
-install( FILES  kdiff3part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
 install( FILES  kdiff3_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3part )
 install( FILES  kdiff3_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3 )
 #install( PROGRAMS  kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
