=== debian/changelog ===
kdiff3 (1.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Mar 2022 21:45:46 +0100

kdiff3 (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Nov 2021 23:41:34 +0100
