=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
  libkf5parts-dev (>= 5.37.0~),
  libkf5widgetsaddons-dev (>= 5.37.0~),
  libboost-dev (>= 1.66.0~),
- xauth,
- xvfb,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/development/kdiff3
