## kdiff3 1.9.6

=== debian/changelog ===
kdiff3 (1.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 07:56:45 +0200
