=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libboost-dev (>= 1.66.0~),
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/development/kdiff3
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
