=== debian/changelog ===
kdiff3 (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.14
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.50.0
    - bump libboost-dev to 1.71.0
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Jan 2023 22:32:12 +0100
