=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: debhelper-compat (= 13),
  pkg-kde-tools,
  gettext,
- cmake (>= 3.8~),
- extra-cmake-modules (>= 5.10.0~),
- qtbase5-dev (>= 5.8.0~),
- libkf5config-dev (>= 5.37.0~),
- libkf5coreaddons-dev (>= 5.37.0~),
- libkf5crash-dev (>= 5.37.0~),
- libkf5doctools-dev (>= 5.37.0~),
- libkf5i18n-dev (>= 5.37.0~),
- libkf5kio-dev (>= 5.37.0~),
- libkf5parts-dev (>= 5.37.0~),
- libkf5widgetsaddons-dev (>= 5.37.0~),
- libboost-dev (>= 1.66.0~),
+ cmake (>= 3.14~),
+ extra-cmake-modules (>= 5.50.0~),
+ qtbase5-dev (>= 5.15.2~),
+ libkf5config-dev (>= 5.50.0~),
+ libkf5coreaddons-dev (>= 5.50.0~),
+ libkf5crash-dev (>= 5.50.0~),
+ libkf5doctools-dev (>= 5.50.0~),
+ libkf5i18n-dev (>= 5.50.0~),
+ libkf5kio-dev (>= 5.50.0~),
+ libkf5parts-dev (>= 5.50.0~),
+ libkf5widgetsaddons-dev (>= 5.50.0~),
+ libboost-dev (>= 1.71.0~),
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/development/kdiff3
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiff3
