## kdiff3 1.10.5

=== debian/changelog ===
kdiff3 (1.10.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop the transitional kdiff3-qt package, no more needed after two Debian
    stable releases.
  * Drop the breaks/replaces for versions older than Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Jul 2023 05:38:51 +0200

kdiff3 (1.10.4-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 22:04:44 +0200

kdiff3 (1.10.2-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 07 May 2023 09:12:42 +0200

kdiff3 (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Mar 2023 09:29:22 +0200
