## kdiff3 1.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #CMP0077 is defined in 3.13 or later
 cmake_minimum_required(VERSION 3.14 FATAL_ERROR)
 
-project(kdiff3)
+project(kdiff3 VERSION 1.10.6)
 
 option(BUILD_WITH_QT6 OFF)
 option(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)
@@ -48,7 +48,7 @@
 include(ECMAddTests)
 include(ECMOptionalAddSubdirectory)
 
-ecm_setup_version(1.9.70 VARIABLE_PREFIX KDIFF3 VERSION_HEADER ${CMAKE_BINARY_DIR}/src/version.h)
+ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDIFF3 VERSION_HEADER ${CMAKE_BINARY_DIR}/src/version.h)
 
 # Some older versions on boost contain a bug that prevents compiling gcc offers a built-in workaround
 # but that isn't enough to ship as clang has no such workaround. 1.65 is known to be affected.
@@ -151,7 +151,7 @@
     #Don't warn for API depreciated after 5.70.0 (below as hex.hex.hex number)
     -DKF_DEPRECATED_WARNINGS_SINCE=0x054600
     -DKIOCORE_DEPRECATED_WARNINGS_SINCE=0x054600
-    -DKXMLGUI_DEPRECATED_WARNINGS_SINCE=x054600
+    -DKXMLGUI_DEPRECATED_WARNINGS_SINCE=0x054600
     -DKF_VERSION_MAJOR=${KF_VERSION_MAJOR}
     -DKF_VERSION_MINOR=${KF_VERSION_MINOR}
     -DKF_VERSION_PATCH=${KF_VERSION_PATCH}
