=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,11 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 ########### kdiff3 KPart ###############
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts WidgetsAddons)
+
 
 set(kdiff3part_PART_SRCS
    kdiff3_part.cpp
    kdiff3.cpp
-   DirectoryInfo.cpp
    directorymergewindow.cpp
    merger.cpp
    pdiff.cpp
@@ -24,36 +23,40 @@
    common.cpp
    smalldialogs.cpp
    progress.cpp
+   ProgressProxy.cpp
    ProgressProxyExtender.cpp
    PixMapUtils.cpp
    MergeFileInfos.cpp
    Utils.cpp
    selection.cpp
-   ignorelist.cpp
    SourceData.cpp
    Overview.cpp
    Logging.cpp
    FileNameLineEdit.cpp
    MergeEditLine.cpp
    Options.cpp
-   CommentParser.cpp )
+   CommentParser.cpp
+   CvsIgnoreList.cpp
+   CompositeIgnoreList.cpp
+   DirectoryInfo.cpp
+   GitIgnoreList.cpp
+)
 
 ki18n_wrap_ui(kdiff3part_PART_SRCS
     scroller.ui
     opendialog.ui
+    progressdialog.ui
 )
 
 add_library(kdiff3part MODULE ${kdiff3part_PART_SRCS})
 
 set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)
-target_compile_features(kdiff3part PRIVATE ${needed_features})
-target_link_libraries(kdiff3part ${KDiff3_LIBRARIES} KF5::Parts KF5::Crash)
+target_link_libraries(kdiff3part ${Qt5PrintSupport_LIBRARIES} KF5::I18n KF5::CoreAddons KF5::Parts KF5::Crash)
 target_compile_definitions(kdiff3part PRIVATE -DTRANSLATION_DOMAIN=\"kdiff3\")
 
 install(TARGETS kdiff3part DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts )
 
 ########### kdiff3 executable ###############
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts WidgetsAddons Config)
 
 set(kdiff3_SRCS
    main.cpp
@@ -61,15 +64,13 @@
    ${kdiff3part_PART_SRCS}
     )
 
-if(BUILD_TESTING)
-   add_subdirectory( autotests )
-endif()
+ecm_optional_add_subdirectory( autotests )
+
 #cann't use add_subdirectory because it changes the scope.
 include(icons/CMakeLists.txt)
 add_executable(kdiff3 ${kdiff3_SRCS})
 
-target_link_libraries(kdiff3 KF5::ConfigCore KF5::ConfigGui KF5::Parts KF5::Crash ${KDiff3_LIBRARIES} )
-target_compile_features(kdiff3 PRIVATE ${needed_features})
+target_link_libraries(kdiff3 KF5::ConfigCore KF5::ConfigGui KF5::Parts KF5::Crash ${Qt5PrintSupport_LIBRARIES} KF5::I18n KF5::CoreAddons )
 
 # See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
 if(APPLE)
@@ -95,9 +96,8 @@
 
 ########### install files ###############
 
+install( FILES  kdiff3part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
 install( FILES  kdiff3_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3part )
 install( FILES  kdiff3_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3 )
-#install( PROGRAMS  kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 install( PROGRAMS org.kde.kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 install( FILES org.kde.kdiff3.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
-
