=== src/icons/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2002-2011 Joachim Eibl, joachim.eibl at gmx.de
+# SPDX-FileCopyrightText: 2018-2020 Michael Reeves reeves.87@gmail.com
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 set(KDIFF3_PNG_ICONS
      icons/16-apps-kdiff3.png
      icons/22-apps-kdiff3.png
