=== debian/changelog ===
kdiff3 (1.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Dec 2023 09:43:59 +0100

kdiff3 (1.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Oct 2023 21:13:53 +0200
