=== debian/control ===
--- 
+++ 
@@ -32,8 +32,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: kdiff3-doc
-Breaks: kdiff3-qt (<<1.0)
-Replaces: kdiff3-qt (<<1.0)
 Description: compares and merges 2 or 3 files or directories
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character. It provides an automatic
@@ -42,24 +40,12 @@
  merging as well. KDiff3 also has KIO support, so it can access to
  remote files and compressed archives.
 
-Package: kdiff3-qt
-Architecture: all
-Multi-Arch: foreign
-Depends: kdiff3 (>= ${source:Version}), ${misc:Depends},
-Section: oldlibs
-Description: transistional package for kdiff3
- This is a transitional package. It can safely be removed.
- .
- This version of KDiff3 is not developed anymore, replaced by kdiff3.
-
 Package: kdiff3-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: kdiff3
-Breaks: kdiff3 (<= 1.7.90-1)
-Replaces: kdiff3 (<= 1.7.90-1)
 Description: documentation for KDiff3
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character.
